Subject: Re: linux2.6.19.2-> mpc8xx_wdt.c: timeout extended to reach several seconds... but I have a problem

From: Jochen Friedrich <[email-masked]>
Date: Wed, 21 Nov 2007 13:51:53 +0100

Hi Antonio,

> I added a kernel timer (triggering every 500 ms) to reset the watchdog
> of mpc8xx. This timer starts when the driver is opened. The timer is
> rearmed till a counter reaches a zero value. A process can use the write
> method of the driver to set the counter to a preferred value. If the
> application misses to set the counter, it will decrease to zero and then
> the board will restart.

You might want to have a look at this patch:

http://patchwork.ozlabs.org/linuxppc-embedded/patch?id=14682

Please make sure to call pq_wdt_init() as early as possible to avoid a
reset during the initial log buffer flush to the serial console.

Thanks,
Jochen